Admin Queue Logs
curl --request POST \
--url https://api.voxo.co/v2/admin/reporting/queues/logs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queueId": [
123
],
"startDate": "<string>",
"endDate": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/admin/reporting/queues/logs"
payload = {
"queueId": [123],
"startDate": "<string>",
"endDate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({queueId: [123], startDate: '<string>', endDate: '<string>'})
};
fetch('https://api.voxo.co/v2/admin/reporting/queues/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"queueIds": [
123
],
"records": [
{
"callId": "<string>",
"event": "<string>",
"queueId": 123,
"time": "<string>",
"queueName": "<string>",
"cidNum": "<string>",
"cidName": "<string>",
"peerName": "<string>",
"name": "<string>",
"waitTime": 123,
"talkTime": 123,
"tag": "<string>",
"offDutyReason": "<string>",
"exitKey": "<string>",
"ringTime": 123
}
],
"total": 123,
"page": 123,
"maxPage": 123
}Reporting - Queues
Admin Queue Logs
Get paginated queue event logs with optional filters
POST
/
v2
/
admin
/
reporting
/
queues
/
logs
Admin Queue Logs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Queue IDs to include in the report
Start date for the report period
End date for the report period
Filter by queue event types
Available options:
AGENT_COMPLETE Filter by user peer names, or 'ALL' for all users
Filter by call tags
Minimum array length:
1Filter by specific call ID
Number of records per page
Page number
Report type (Scheduled, Export, or Live)
Available options:
Scheduled Response
200 - application/json
Queue logs or export acknowledgement
Was this page helpful?
⌘I